Invite Agency Client User
POST /agency/clients/{org_id}/invites
POST
/agency/clients/{org_id}/invites
Invite a person into a client org (sends an invite email).
409 when the person already has a graph8 account: they are never added without accepting, so an admin adds them in the app. 403 for a client that is not this agency’s; a suspended client you own can still be invited into.
Authorizations
Parameters
Path Parameters
org_id
required
Client org id (org_xxx) from GET /agency/clients.
string
Client org id (org_xxx) from GET /agency/clients.
Header Parameters
Request Body required
object
email
required
Who to invite.
string
role
Role in the client org.
string
Responses
201
Successful Response
object
data
required
object
email
required
string
org_id
required
string
role
required
string
status
required
invited: an invite email was sent. added: the person gained an account an instant earlier and was added directly.
string
pagination
Any of:
object
has_next
required
Whether there are more pages
boolean
limit
required
Items per page
integer
notes
Any of:
Array<string>
null
page
required
Current page number (1-indexed)
integer
total
required
Total number of items
integer
null
422
Validation Error
object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string